<?php

/**
 * @file
 * Forms for Responsive Menu Combined admin screens.
 */

/**
 * Settings form for responsive menu combined.
 */
function responsive_menu_combined_admin_form($form, $form_state) {
  $form = array();
  $menus = menu_get_menus();

  $form['menu'] = array(
    '#type' => 'checkboxes',
    '#options' => $menus,
    '#title' => t('Select Menus to Combine'),
    '#description' => t('Select the menus you wish to combine into a responsive hamburger menu.  This will become a block you can add anywhere on your page.'),
    '#default_value' => variable_get('responsive_menu_combined_settings', ''),
  );
  $form['display_parent_title'] = array(
    '#type' => 'checkbox',
    '#title' => t('Display parent title'),
    '#description' => t('When you are inside a sub-navigration pane, display the parents title below the back button.'),
    '#default_value' => variable_get('responsive_menu_combined_display_parent_title', ''),
  );
  $form['buttons']['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save settings'),
    '#submit' => array('responsive_menu_combined_form_submit'),
  );
  return $form;
}
/**
 * Submit handler for the admin form.
 *
 * This function takes cares of saving the the settings to the database.
 */
function responsive_menu_combined_form_submit($form, &$form_state) {
  variable_set('responsive_menu_combined_settings', $form['menu']['#value']);
  variable_set('responsive_menu_combined_display_parent_title', $form['display_parent_title']['#value']);
}
